<!DOCTYPE html>
<html>
    <head>
        <title></title>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <script type="text/javascript" src="../../build/current.js"></script>
        <script type="text/javascript">
            window.onload = function(){
                var canvas = document.createElement('canvas');
                canvas.width = 640;
                canvas.height = 480;
                document.body.appendChild(canvas);
                var image = new Image();
                image.onload = function() {
                    var renderer_canvas = new Renderer.Canvas();
                    renderer_canvas.set_canvas(canvas);
                    var container = new DisplayObject.Container({
                        renderer: renderer_canvas
                    });
                    for (var i=0; i<6; i++) {
                        for (var j=0; j<16; j++) {
                            var img = new DisplayObject.Img.Tile({
                                image:image,
                                tile_width: 32,
                                tile_height: 32,
                                tile_x: i,
                                tile_y: j,
                                x: (640/6)*i,
                                y: (480/16)*j,
                                pivot_x: 16,
                                pivot_y: 16
                                //angle: Math.random()*360
                            });
                            container.add_child(img);
                        }
                    }
                    container.set_options({pivot_x:320, pivot_y:240});
                    setInterval(function(){
                        renderer_canvas.clear();
                        container.set_options({angle:container.get_angle()+1});
                        container.render();
                        var childs = container.get_childs();
                        for (var i in childs) {
                            var child = childs[i]
                            child.set_angle(child.get_angle()-1);
                        }
                    }, 1000/30);
                }
                image.src = '../tileset.png';
            }
        </script>
    </head>
    <body>
    </body>
</html>
